Home

Glaser Lo's Blog

Since I am using Elementary OS (Freya, based on Ubuntu 14.04) on my laptop, the Node.js version in repository is a bit old.  When I tried setting up Makedrive, I got something like this:

sh: 1: node_modules/.bin/bower: not found
npm WARN This failure might be due to the use of legacy binary "node"
npm WARN For further explanations, please read /usr/share/doc/nodejs/README.Debian

It’s kinda weird that it said « not found » while the file actually exists, but usually it is related to binary incompatibilities .  In order to fix it, we need to add a NodeSource repository:

curl -sL https://deb.nodesource.com/setup | sudo bash -

Then install Node.js

sudo apt-get install -y nodejs

Enjoy!

Source: Offical guide on github

View original post

Publicités

Laisser un commentaire

Choisissez une méthode de connexion pour poster votre commentaire:

Logo WordPress.com

Vous commentez à l'aide de votre compte WordPress.com. Déconnexion / Changer )

Image Twitter

Vous commentez à l'aide de votre compte Twitter. Déconnexion / Changer )

Photo Facebook

Vous commentez à l'aide de votre compte Facebook. Déconnexion / Changer )

Photo Google+

Vous commentez à l'aide de votre compte Google+. Déconnexion / Changer )

Connexion à %s